/*
 * main.cpp
 *
 *  Created on: 30.05.2014
 *      Author: wn
 */

#include <msp430g2553.h>
#include <stdint.h>
#include <intrinsics.h>
#include <isr_compat.h>

#include "uart.h"
#include "time.h"
#include "meterBusClient.h"
#include "debug.h"


MeterBusClient meterBusClient;


int main() {
  WDTCTL = WDTPW | WDTHOLD;


  debugInit();
  uartInit();
  timeInit();

  meterBusClient.begin();

  __enable_interrupt();

  uartWrite('W');

  while (1) {
//    __bis_status_register(LPM0_bits);
    meterBusClient.exec();

  }
}


